/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * LocalizationSetting.hpp
 *
 *  Created on: 2010/12/09
 *      Author: HARK Development Team
 */

#ifndef LOCALIZATIONSETTING_HPP_
#define LOCALIZATIONSETTING_HPP_

#include <boost/shared_ptr.hpp>
#include <DimensionPromise/types/Frequency.hpp>

namespace NSHarkBinaural
{


/**
 * 分離の設定を集めた構造体.
 */
struct LocalizationSetting
{
    typedef boost::shared_ptr<LocalizationSetting> ptr_t;

    /**
     * 離散フーリエ変換の標本点数.
     */
    int ndft;

    /**
     * 音声信号のサンプリング周波数.
     */
    NSDimensionPromise::Frequency samplingFrequency;
};


}

#endif /* LOCALIZATIONSETTING_HPP_ */
